%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:       nodejs-once
Version:    1.3.1
Release:    1%{?dist}
Summary:    Run a function exactly one time 
License:    BSD
URL:        https://github.com/isaacs/once
Source:     https://github.com/isaacs/once/archive/v%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(tap)
BuildRequires:  npm(wrappy)

ExclusiveArch: %{nodejs_arches} noarch

%description
Run a function exactly one time for node.js

%prep
%setup -q -n once-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-once
cp -pr once.js package.json \
    %{buildroot}%{nodejs_sitelib}/nodejs-once


%check
%if 0%{?enable_tests}
%check
tap test/*.js
%endif

%files
%doc LICENSE README.md test/ 
%{nodejs_sitelib}/nodejs-once


%changelog
* Thu Nov 06 2014 Anish Patil <apatil@redhat.com> - 1.3.1-1
- Initial package
